package model;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
public class CidadeDAO {
    public Cidade recuperarPorId(int id) {
        try {
            String sql = "SELECT id, nome FROM cidade WHERE id=?";
            Connection con = Conexao.conectar();
            PreparedStatement ps = con.prepareStatement(sql);
            ps.setInt(1, id);
            ResultSet rs = ps.executeQuery();
            Cidade c = null;
            if ( rs.next() ) {
                c = new Cidade();
                c.setId(rs.getInt("id"));
                c.setNome(rs.getString("nome"));
            }
            ps.close();
            con.close();
            return c;
        } catch (Exception e) {
            System.out.println("CidadeDAO::recuperarPorId");
            System.out.println(e.getMessage());
            return null;
        }
    }
    
    public ArrayList<Cidade> getLista() {
        ArrayList<Cidade> lista = new ArrayList<Cidade>();
        try {
            String sql = "SELECT id, nome FROM cidade";
            Connection con = Conexao.conectar();
            Statement st = con.createStatement();
            ResultSet rs = st.executeQuery(sql);
            while ( rs.next() ) {
                Cidade c = new Cidade();
                c.setId(rs.getInt("id"));
                c.setNome(rs.getString("nome"));
                lista.add(c);
            }
            System.out.println("Listar executado");
            rs.close();
            con.close();
        } catch (Exception e) {
            System.out.println("CidadeDAO::listar");
            System.out.println(e.getMessage());
        }
        return lista;
    }
}
