<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Cadastro de Contato</title>
        <!-- Tell the browser to be responsive to screen width -->
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
        <!-- Bootstrap 3.3.6 -->
        <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
        <link rel="stylesheet" href="bootstrap/css/bootstrap-theme.min.css">
    </head>
    <body class="container">
        <h1>Cadastro de Contato</h1>
        <form action="ContatoControle" method="POST">
            <input type="hidden" name="id" value="${c.id}" />
            <div class="row">
                <div class="form-group col-sm-8">
                    <label for="nome" class="control-label">Nome</label>
                    <input type="text" class="form-control" id="nome" name="nome" required value="${c.nome}"/>
                </div>
                <div class="form-group col-sm-4">
                    <label for="telefone" class="control-label">Telefone</label>
                    <input type="text" class="form-control" id="telefone" name="telefone" maxlength="11" required value="${c.telefone}"/>
                </div>
                
                <div class="form-group col-sm-12">
                    <label for="cidade" class="control-label">Cidade</label>
                    <jsp:useBean id="dao" class="model.CidadeDAO"></jsp:useBean>
                    <select id="cidade" name="cidade" class="form-control" required>
                        <option></option>
                    <c:forEach var="cidade" items="${dao.lista}">
                        <c:if test="${c.cidade.id != cidade.id}">
                        <option value="${cidade.id}">${cidade.nome}</option>
                        </c:if>
                        <c:if test="${c.cidade.id == cidade.id}">
                        <option value="${cidade.id}" selected>${cidade.nome}</option>
                        </c:if>
                    </c:forEach>
                    </select>
                </div>
                
                <div class="form-group col-sm-12">
                    <label for="email" class="control-label">E-mail</label>
                    <input type="text" class="form-control" id="email" name="email" required value="${c.email}"/>
                </div>
            </div>
            <button class="btn btn-success">Gravar</button>  
            <a href="index.jsp" class="btn btn-warning">Voltar</a>
        </form>
    </body>
</html>
